## org.eclipse.ocl.ecore
Interface ExpressionInOCL

All Superinterfaces:
  EObject, ExpressionInOCL<EClassifier,EParameter>, Notifier, Visitable

    public interface ExpressionInOCL

extends ExpressionInOCL<EClassifier,EParameter>

A representation of the model object 'Expression In OCL'.

See Also:
  `EcorePackage.getExpressionInOCL()`

Method Summary

Methods inherited from interface org.eclipse.ocl.utilities.ExpressionInOCL
`getBodyExpression, getContextVariable, getParameterVariable, getResultVariable, setBodyExpression, setContextVariable, setResultVariable`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.